/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:cmd4.c 12.0$ */
/* $ACIS:cmd4.c 12.0$ */
/* $Source: /ibm/acis/usr/src/ucb/window/RCS/cmd4.c,v $ */

#ifndef lint
static char *rcsid = "$Header:cmd4.c 12.0$";
#endif

#ifndef lint
static char sccsid[] = "@(#)cmd4.c	3.14 4/24/85";
#endif

/*
 * Copyright (c) 1983 Regents of the University of California,
 * All rights reserved.  Redistribution permitted subject to
 * the terms of the Berkeley Software License Agreement.
 */

#include "defs.h"

c_colon()
{
	char oldterse = terse;
	char buf[512];

	setterse(0);
	wwputc(':', cmdwin);
	wwgets(buf, wwncol - 3, cmdwin);
	wwputc('\n', cmdwin);
	wwcurtowin(cmdwin);
	setterse(oldterse);
	if (dolongcmd(buf, (struct value *)0, 0) < 0)
		error("Out of memory.");
}
